-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jun 05, 2023 at 12:09 PM
-- Server version: 10.6.12-MariaDB-cll-lve
-- PHP Version: 7.2.34

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `u987021215_cms`
--
CREATE DATABASE IF NOT EXISTS `u987021215_cms` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
USE `u987021215_cms`;

-- --------------------------------------------------------

--
-- Table structure for table `edu`
--

DROP TABLE IF EXISTS `edu`;
CREATE TABLE IF NOT EXISTS `edu` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `startPeriod` date NOT NULL,
  `endPeriod` date NOT NULL,
  `grade` varchar(20) NOT NULL,
  `course` varchar(150) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `edu`
--

INSERT INTO `edu` (`ID`, `startPeriod`, `endPeriod`, `grade`, `course`) VALUES
(1, '2016-09-01', '2018-07-01', 'D*D*D*', 'Chelmsford College - BTEC Level 3 in IT'),
(2, '2018-09-10', '2022-07-20', '2(i)', 'University of Sussex - Computer Science and AI with a placement year'),
(11, '2022-09-26', '2023-08-25', 'Not completed yet', 'University of Nottingham - Computer Sciene (Artificial Intelligence)');

-- --------------------------------------------------------

--
-- Table structure for table `projects`
--

DROP TABLE IF EXISTS `projects`;
CREATE TABLE IF NOT EXISTS `projects` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `isMainProject` tinyint(1) NOT NULL,
  `information` text NOT NULL,
  `imgLocation` varchar(200) NOT NULL DEFAULT '',
  `projectLink` text NOT NULL DEFAULT '',
  `gitLink` text NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `projects`
--

INSERT INTO `projects` (`ID`, `title`, `isMainProject`, `information`, `imgLocation`, `projectLink`, `gitLink`) VALUES
(57, 'Money Tabs', 0, 'This is an app to keep a track of who owes whom and how much they owe per transaction. Soon group tab functionality will be added to keep a track of a group goal such as payment towards a  holiday etc.', '', 'N/A', 'https://github.com/rodude123/MoneyTabs'),
(59, 'GyroTennis', 1, 'Do you like the Wii? Would you rather launch your iPhone across the room than a controller? Then is this the game for you! Now you can play motion-control tennis using your phone as the controller! (P.S. Any damage done to your phone is your fault)', '../imgs/projects/gyroTennis.png', 'https://devpost.com/software/gyrotennis', 'https://github.com/rodude123/HackNotts23'),
(60, 'This Portfolio', 0, 'Well, it took a while to get it completed but got there in the end. This website is built using HTML, CSS, JS and the Slim framework with PHP, which means no frontend frameworks. Personally, I think it looks great, but I\'ll leave that to you.', '../imgs/projects/portfolio.png', 'https://rohitpai.co.uk', 'https://gitea.rohitpai.co.uk/rodude123/my-portfolio'),
(69, 'Linux Wallpaper Changer', 0, 'A very simple wallpaper changer script for a Linux-based distribution running KDE and XFCE at the moment. It allows you to change the wallpaper by running the shell script and then allows you to save it to your pictures directory so that you can reuse it later at random. You can even add it to your crontab or create a system timer so that you can a change every \"X\" e.g. every 30 minutes', '../imgs/projects/Landscapes-10.png', 'N/A', 'https://github.com/rodude123/wallpaper-changer'),
(70, 'Fixing Windows', 0, 'Made for the 2020 Global Game Jam, it\'s a game where you have to fix your windows computer as well as fight off the zombie infestation. Made using Gadot and GD script', '../imgs/projects/fixing windows.png', 'N/A', 'https://github.com/smilo7/fixing_windows_GGJ'),
(71, 'Magic the Gathering Card Image Downloader', 0, 'Automates the download process of card images for magic the gathering so that it can be proxied into a deck', '', 'N/A', 'https://gitea.rohitpai.co.uk/rodude123/magic-download-images'),
(72, 'Fiinal Year Project', 0, 'This was my final year project for my undergrad degree. I created a FPS AI system for Unity where you could add in AI to  your own FPS game. ', '../imgs/projects/developerTesting1.png', 'N/A', 'https://github.com/rodude123/configurable-FPS-AI');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) DEFAULT NULL,
  `email` varchar(200) DEFAULT NULL,
  `password` varchar(500) DEFAULT NULL,
  `mfaSecret` varchar(500) DEFAULT NULL,
  `resetCode` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`ID`, `username`, `email`, `password`, `mfaSecret`, `resetCode`) VALUES
(1, 'rodude123', 'rodude123@gmail.com', '$2y$10$oRtVHNLEnMtwEzgGAScALeISUP28HVk.GvwH8naFZZrQKu0OF9xu2', '0', '0');

-- --------------------------------------------------------

--
-- Table structure for table `work`
--

DROP TABLE IF EXISTS `work`;
CREATE TABLE IF NOT EXISTS `work` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `startPeriod` date NOT NULL,
  `endPeriod` date DEFAULT NULL,
  `companyName` varchar(30) NOT NULL,
  `area` varchar(30) NOT NULL,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `work`
--

INSERT INTO `work` (`ID`, `startPeriod`, `endPeriod`, `companyName`, `area`, `title`) VALUES
(1, '2016-09-01', '2017-08-31', 'Co-op', 'Billericay', 'Retail Assistant'),
(2, '2019-07-01', '2019-08-31', 'Cerebriu', 'Copenhagen', 'Student Intern'),
(3, '2020-09-01', '2021-07-30', 'Cerebriu', 'Copenhagen', 'Intern Consultant');
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
